import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueJsx from '@vitejs/plugin-vue-jsx'
import path from 'path';

export default defineConfig({
    plugins: [vue(), vueJsx()],
    resolve: {
        alias: {
            '@': path.resolve(__dirname, './src'),
        },
    },
    server: {
        port: 5173,
        host: '0.0.0.0',
        cors: true, // 默认启用并允许任何源
        open: false, // 在服务器启动时自动在浏览器中打开应用程序
        // 反向代理配置，注意rewrite写法，开始没看文档在这里踩了坑
        proxy: {
            '/api': {
                target: 'https://yongdeng.kingforeyf.top',
                changeOrigin: true,
                rewrite: (path) => path.replace(/^\/api/, 'api'),
            }
        },
    },
})
